Package com.sas.services

# Class ServiceConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.ServiceConfigurationException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class ServiceConfigurationException extends ServiceException
Exception used to indicate an issue with an invalid service configuration.

Since:
  1.1.3
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceConfigurationException(String msg)`
  Constructs an exception using the specified message.
  `ServiceConfigurationException(Throwable cause)`
  Constructs an exception using the specified throwable that caused the failure.
  `ServiceConfigurationException(Throwable cause, String msg)`
  Constructs an exception using the specified message.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceConfigurationException

    public ServiceConfigurationException(String msg)
    Constructs an exception using the specified message.
    Parameters:
      `msg` - Message detailing the service configuration exception.

  - ### ServiceConfigurationException

    public ServiceConfigurationException(Throwable cause)
    Constructs an exception using the specified throwable that caused the failure.
    Parameters:
      `cause` - The throwable that prompted this exception.

  - ### ServiceConfigurationException

    public ServiceConfigurationException(Throwable cause, String msg)
    Constructs an exception using the specified message.
    Parameters:
      `cause` - The throwable that prompted this exception.
      `msg` - Message detailing the service configuration exception.